import * as React from 'react';
import FullCalendar, { CalendarOptions } from '@fullcalendar/react';
import dayGridPlugin from '@fullcalendar/daygrid';
import timeGridPlugin from '@fullcalendar/timegrid';
import interaction from '@fullcalendar/interaction';

interface Props extends Omit<CalendarOptions, 'plugins' | 'ref'> {
  calendarRef: React.RefObject<FullCalendar>;
}

export function Calendar({ calendarRef, ...props }: Props) {
  return (
    <FullCalendar
      ref={calendarRef}
      height="auto"
      allDaySlot={false}
      plugins={[dayGridPlugin, timeGridPlugin, interaction]}
      {...props}
    />
  );
}
